Page MenuHomePhabricator

Option to disable afl_ip logging
Closed, ResolvedPublic

Description

Some wikis might want to disable logging to the afl_ip on abuse_filter_log. Maybe a variable like $wgLogIPHits = {true,false} could be added so this is possible. As a side note, on Wikimedia, we may want to use this on the Beta Cluster where we've disabled CheckUser and all other kinds of extensions which directly or indirectly provide access to private user information. Thanks.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 13 2018, 10:52 AM
dmattern claimed this task.Feb 23 2018, 4:51 AM

Change 413675 had a related patch set uploaded (by Dmattern; owner: Dmattern):
[mediawiki/extensions/AbuseFilter@master] Add option to turn off logging IPs

https://gerrit.wikimedia.org/r/413675

dmattern triaged this task as Medium priority.Feb 23 2018, 6:44 AM
Huji moved this task from Backlog to Logging on the AbuseFilter board.Feb 23 2018, 4:19 PM

Change 413675 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Add option to turn off logging IPs

https://gerrit.wikimedia.org/r/413675

Huji closed this task as Resolved.Mar 3 2018, 11:39 PM
Huji removed a project: Patch-For-Review.